cdac.medinfo.sdk.hl7282.baselibs.segments

## Class CDM

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.CDM

- All Implemented Interfaces:
    ISegment

      public class CDM
      extends Segment

  CDM - Charge Description Master Segment.

  The CDM segment contains the fields for identifying anything which is charged to patient accounts, including procedures, services, supplies. It is intended to be used to maintain a list of valid chargeable utilization items. Its purpose is to keep billing codes synchronized between HIS, Patient Accounting, and other departmental systems.

  Represents an HL7 CDM message segment. This segment has the following fields:

  CDM-1: Primary Key Value - CDM (CWE)Required
  CDM-2: Charge Code Alias (CWE)Optional
  CDM-3: Charge Description Short (ST)Required
  CDM-4: Charge Description Long (ST)Optional
  CDM-5: Description Override Indicator (CWE)Optional
  CDM-6: Exploding Charges (CWE)Optional
  CDM-7: Procedure Code (CNE)Optional
  CDM-8: Active/Inactive Flag (ID)Optional
  CDM-9: Inventory Number (CWE)Optional
  CDM-10: Resource Load (NM)Optional
  CDM-11: Contract Number (CX)Optional
  CDM-12: Contract Organization (XON)Optional
  CDM-13: Room Fee Indicator (ID)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDM()` Constructs the CDM segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChargeCodeAlias(CWE objchargeCodeAlias)` Add the Charge Code Alias.
    `void` | `addChargeCodeAlias(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Charge Code Alias.
    `void` | `addContractNumber(CX objcontractNumber)` Add the Contract Number.
    `void` | `addContractNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Contract Number.
    `void` | `addContractOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Add the Contract Organization.
    `void` | `addContractOrganization(XON objcontractOrganization)` Add the Contract Organization.
    `void` | `addExplodingCharges(CWE objexplodingCharges)` Add the Exploding Charges.
    `void` | `addExplodingCharges(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Exploding Charges.
    `void` | `addInventoryNumber(CWE objinventoryNumber)` Add the Inventory Number.
    `void` | `addInventoryNumber(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Inventory Number.
    `void` | `addProcedureCode(CNE objprocedureCode)` Add the Procedure Code.
    `void` | `addProcedureCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Procedure Code.
    `ID` | `getActiveInactiveFlag()` Retrieves the Active Inactive Flag.
    `ISingleCollection<CWE>` | `getChargeCodeAlias()` Retrieves the Charge Code Alias.
    `ST` | `getChargeDescriptionLong()` Retrieves the Charge Description Long.
    `ST` | `getChargeDescriptionShort()` Retrieves the Charge Description Short.
    `ISingleCollection<CX>` | `getContractNumber()` Retrieves the Contract Number
    `ISingleCollection<XON>` | `getContractOrganization()` Retrieves the Contract Organization.
    `CWE` | `getDescriptionOverrideIndicator()` Retrieves the Description Override Indicator.
    `ISingleCollection<CWE>` | `getExplodingCharges()` Retrieves the Exploding Charges.
    `ISingleCollection<CWE>` | `getInventoryNumber()` Retrieves the Inventory Number.
    `CWE` | `getPrimaryKeyValueCDM()` Retrieves the Primary Key Value CDM.
    `ISingleCollection<CNE>` | `getProcedureCode()` Retrieves the Procedure Code.
    `NM` | `getResourceLoad()` Retrieves the Resource Load.
    `ID` | `getRoomFeeIndicator()` Retrieves the Room Fee Indicator.
    `void` | `setActiveInactiveFlag(ID objactiveInactiveFlag)` Set the Active Inactive Flag.
    `void` | `setActiveInactiveFlag(java.lang.String strActiveInactiveFlag)` Set the Active Inactive Flag.
    `void` | `setChargeCodeAlias(ISingleCollection<CWE> objchargeCodeAliasList)` Set the Charge Code Alias.
    `void` | `setChargeDescriptionLong(ST objchargeDescriptionLong)` Set the Charge Description Long.
    `void` | `setChargeDescriptionLong(java.lang.String strChargeDescriptionLong)` Set the Charge Description Long.
    `void` | `setChargeDescriptionShort(ST objchargeDescriptionShort)` Set the Charge Description Short.
    `void` | `setChargeDescriptionShort(java.lang.String strChargeDescriptionShort)` Set the Charge Description Short.
    `void` | `setContractNumber(ISingleCollection<CX> objcontractNumberList)` Set the Contract Number.
    `void` | `setContractOrganization(ISingleCollection<XON> objcontractOrganizationList)` Set the Contract Organization.
    `void` | `setDescriptionOverrideIndicator(CWE objdescriptionOverrideIndicator)` Set the Description Override Indicator.
    `void` | `setDescriptionOverrideIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Description Override Indicator.
    `void` | `setExplodingCharges(ISingleCollection<CWE> objexplodingChargesList)` Set the Exploding Charges.
    `void` | `setInventoryNumber(ISingleCollection<CWE> objinventoryNumberList)` Set the Inventory Number.
    `void` | `setPrimaryKeyValueCDM(CWE objprimaryKeyValueCDM)` Set the Primary Key Value CDM.
    `void` | `setPrimaryKeyValueCDM(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Primary Key Value CDM.
    `void` | `setProcedureCode(ISingleCollection<CNE> objprocedureCodeList)` Set the Procedure Code.
    `void` | `setResourceLoad(NM objresourceLoad)` Set the Resource Load.
    `void` | `setResourceLoad(java.lang.String strResourceLoad)` Set the Resource Load.
    `void` | `setRoomFeeIndicator(ID objroomFeeIndicator)` Set the Room Fee Indicator.
    `void` | `setRoomFeeIndicator(java.lang.String strRoomFeeIndicator)` Set the Room Fee Indicator.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDM

          public CDM()

      Constructs the CDM segment.

  - ### Method Detail

    - #### getActiveInactiveFlag

          public ID getActiveInactiveFlag()

      Retrieves the Active Inactive Flag. This field indicates whether this is a usable CDM entry or not.
      Returns:
        ID - activeInactiveFlag

    - #### getChargeCodeAlias

          public ISingleCollection<CWE> getChargeCodeAlias()

      Retrieves the Charge Code Alias. This field contains an alternative charge code.
      Returns:
        ISingleCollection - chargeCodeAlias

    - #### getChargeDescriptionLong

          public ST getChargeDescriptionLong()

      Retrieves the Charge Description Long. This field contains the full text description of this CDM entry.
      Returns:
        ST - chargeDescriptionLong

    - #### getChargeDescriptionShort

          public ST getChargeDescriptionShort()

      Retrieves the Charge Description Short. This field contains the text abbreviations or code that is associated with this CDM entry.
      Returns:
        ST - chargeDescriptionShort

    - #### getContractNumber

          public ISingleCollection<CX> getContractNumber()

      Retrieves the Contract Number
      Returns:
        ISingleCollection - contractNumber

    - #### getContractOrganization

          public ISingleCollection<XON> getContractOrganization()

      Retrieves the Contract Organization. This field contains the organization with which there is a contractual arrangement for providing the service or material used for this chargeable item.
      Returns:
        ISingleCollection - contractOrganization

    - #### getDescriptionOverrideIndicator

          public CWE getDescriptionOverrideIndicator()

      Retrieves the Description Override Indicator. This field indicates whether this CDM entry's description can be overridden or not.
      Returns:
        CWE - descriptionOverrideIndicator

    - #### getExplodingCharges

          public ISingleCollection<CWE> getExplodingCharges()

      Retrieves the Exploding Charges. This field contains the repeating occurrences for a list of other CDM entry charge codes identifying the other charges which should be generated from this CDM entry.
      Returns:
        ISingleCollection - explodingCharges

    - #### getInventoryNumber

          public ISingleCollection<CWE> getInventoryNumber()

      Retrieves the Inventory Number. This optional field contains an identifying stock number, if any, which might be used, for example, as a cross reference for materials management.
      Returns:
        ISingleCollection - inventoryNumber

    - #### getPrimaryKeyValueCDM

          public CWE getPrimaryKeyValueCDM()

      Retrieves the Primary Key Value CDM. This field contains the code assigned by the institution for the purpose of uniquely identifying the thing that can be charged.
      Returns:
        CWE - primaryKeyValueCDM

    - #### getProcedureCode

          public ISingleCollection<CNE> getProcedureCode()

      Retrieves the Procedure Code.
      Returns:
        ISingleCollection - procedureCode

    - #### getResourceLoad

          public NM getResourceLoad()

      Retrieves the Resource Load. This field contains the Relative Value Unit (RVU) minutes and ATS, a factor related to CPT4 coding and to pricing structure for physical billing.
      Returns:
        NM - resourceLoad

    - #### getRoomFeeIndicator

          public ID getRoomFeeIndicator()

      Retrieves the Room Fee Indicator.
      Returns:
        ID - roomFeeIndicator

    - #### setPrimaryKeyValueCDM

          public void setPrimaryKeyValueCDM(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Primary Key Value CDM. This field contains the code assigned by the institution for the purpose of uniquely identifying the thing that can be charged.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPrimaryKeyValueCDM

          public void setPrimaryKeyValueCDM(CWE objprimaryKeyValueCDM)

      Set the Primary Key Value CDM. This field contains the code assigned by the institution for the purpose of uniquely identifying the thing that can be charged.
      Parameters:
        `objprimaryKeyValueCDM` - Object of Primary Key Value CDM.

    - #### addChargeCodeAlias

          public void addChargeCodeAlias(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Add the Charge Code Alias. This field contains an alternative charge code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addChargeCodeAlias

          public void addChargeCodeAlias(CWE objchargeCodeAlias)

      Add the Charge Code Alias. This field contains an alternative charge code.
      Parameters:
        `objchargeCodeAlias` - Object of Charge Code Alias.

    - #### setChargeCodeAlias

          public void setChargeCodeAlias(ISingleCollection<CWE> objchargeCodeAliasList)

      Set the Charge Code Alias. This field contains an alternative charge code.
      Parameters:
        `objchargeCodeAliasList` - List of Charge Code Alias.

    - #### setChargeDescriptionShort

          public void setChargeDescriptionShort(java.lang.String strChargeDescriptionShort)

      Set the Charge Description Short. This field contains the text abbreviations or code that is associated with this CDM entry.
      Parameters:
        `strChargeDescriptionShort` - This field contains the text abbreviations or code that is associated with this CDM entry.

    - #### setChargeDescriptionShort

          public void setChargeDescriptionShort(ST objchargeDescriptionShort)

      Set the Charge Description Short. This field contains the text abbreviations or code that is associated with this CDM entry.
      Parameters:
        `objchargeDescriptionShort` - Object of Charge Description Short.

    - #### setChargeDescriptionLong

          public void setChargeDescriptionLong(java.lang.String strChargeDescriptionLong)

      Set the Charge Description Long. This field contains the full text description of this CDM entry.
      Parameters:
        `strChargeDescriptionLong` - his field contains the full text description of this CDM entry.

    - #### setChargeDescriptionLong

          public void setChargeDescriptionLong(ST objchargeDescriptionLong)

      Set the Charge Description Long. This field contains the full text description of this CDM entry.
      Parameters:
        `objchargeDescriptionLong` - Object of Charge Description Long.

    - #### setDescriptionOverrideIndicator

          public void setDescriptionOverrideIndicator(java.lang.String strIdentifier,
                                             java.lang.String strText,
                                             java.lang.String strNameOfCodingSystem,
                                             java.lang.String strAlternateIdentifier,
                                             java.lang.String strAlternateText,
                                             java.lang.String strNameOfAlternateCodingSystem,
                                             java.lang.String strCodingSystemVersionID,
                                             java.lang.String strAlternateCodingSystemVersionId,
                                             java.lang.String strOriginalText,
                                             java.lang.String strSecondAlternateIdentifier,
                                             java.lang.String strSecondAlternateText,
                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                             java.lang.String strCodingSystemOID,
                                             java.lang.String strValueSetOID,
                                             java.lang.String strValueSetVersionID,
                                             java.lang.String strAlternateCodingSystemOID,
                                             java.lang.String strAlternateValueSetOID,
                                             java.lang.String strAlternateValueSetVersionID,
                                             java.lang.String strSecondAlternateCodingSystemOID,
                                             java.lang.String strSecondAlternateValueSetOID,
                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Description Override Indicator. This field indicates whether this CDM entry's description can be overridden or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDescriptionOverrideIndicator

          public void setDescriptionOverrideIndicator(CWE objdescriptionOverrideIndicator)

      Set the Description Override Indicator. This field indicates whether this CDM entry's description can be overridden or not.
      Parameters:
        `objdescriptionOverrideIndicator` - Object of Description Override Indicator.

    - #### addExplodingCharges

          public void addExplodingCharges(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Add the Exploding Charges. This field contains the repeating occurrences for a list of other CDM entry charge codes identifying the other charges which should be generated from this CDM entry.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addExplodingCharges

          public void addExplodingCharges(CWE objexplodingCharges)

      Add the Exploding Charges. This field contains the repeating occurrences for a list of other CDM entry charge codes identifying the other charges which should be generated from this CDM entry.
      Parameters:
        `objexplodingCharges` - Object of Exploding Charges.

    - #### setExplodingCharges

          public void setExplodingCharges(ISingleCollection<CWE> objexplodingChargesList)

      Set the Exploding Charges. This field contains the repeating occurrences for a list of other CDM entry charge codes identifying the other charges which should be generated from this CDM entry.
      Parameters:
        `objexplodingChargesList` - List of Exploding Charges.

    - #### addProcedureCode

          public void addProcedureCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionID,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameOfSecondAltenateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Add the Procedure Code.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addProcedureCode

          public void addProcedureCode(CNE objprocedureCode)

      Add the Procedure Code.
      Parameters:
        `objprocedureCode` - Object of Procedure Code.

    - #### setProcedureCode

          public void setProcedureCode(ISingleCollection<CNE> objprocedureCodeList)

      Set the Procedure Code.
      Parameters:
        `objprocedureCodeList` - List of Procedure Code.

    - #### setActiveInactiveFlag

          public void setActiveInactiveFlag(java.lang.String strActiveInactiveFlag)

      Set the Active Inactive Flag. This field indicates whether this is a usable CDM entry or not.
      Parameters:
        `strActiveInactiveFlag` - This field indicates whether this is a usable CDM entry.

    - #### setActiveInactiveFlag

          public void setActiveInactiveFlag(ID objactiveInactiveFlag)

      Set the Active Inactive Flag. This field indicates whether this is a usable CDM entry or not.
      Parameters:
        `objactiveInactiveFlag` - Object of Active Inactive Flag.

    - #### addInventoryNumber

          public void addInventoryNumber(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Add the Inventory Number. This optional field contains an identifying stock number, if any, which might be used, for example, as a cross reference for materials management.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addInventoryNumber

          public void addInventoryNumber(CWE objinventoryNumber)

      Add the Inventory Number. This optional field contains an identifying stock number, if any, which might be used, for example, as a cross reference for materials management.
      Parameters:
        `objinventoryNumber` - Object of Inventory Number.

    - #### setInventoryNumber

          public void setInventoryNumber(ISingleCollection<CWE> objinventoryNumberList)

      Set the Inventory Number. This optional field contains an identifying stock number, if any, which might be used, for example, as a cross reference for materials management.
      Parameters:
        `objinventoryNumberList` - List of Inventory Number.

    - #### setResourceLoad

          public void setResourceLoad(java.lang.String strResourceLoad)

      Set the Resource Load. This field contains the Relative Value Unit (RVU) minutes and ATS, a factor related to CPT4 coding and to pricing structure for physical billing.
      Parameters:
        `strResourceLoad` - This field contains the Relative Value Unit (RVU) minutes and ATS, a factor related to CPT4 coding and to pricing structure for physical billing.

    - #### setResourceLoad

          public void setResourceLoad(NM objresourceLoad)

      Set the Resource Load. This field contains the Relative Value Unit (RVU) minutes and ATS, a factor related to CPT4 coding and to pricing structure for physical billing.
      Parameters:
        `objresourceLoad` - Object of Resource Load.

    - #### addContractNumber

          public void addContractNumber(java.lang.String strIDNumber,
                               java.lang.String strCheckDigit,
                               java.lang.String strCheckDigitScheme,
                               HD objAssigningAuthority,
                               java.lang.String strIdentifierTypeCode,
                               HD objAssigningFacility,
                               java.lang.String strEffectiveDate,
                               java.lang.String strExpirationDate,
                               CWE objAssigningJurisdiction,
                               CWE objAssigningAgencyOrDepartment,
                               java.lang.String strSecurityCheck,
                               java.lang.String strSecurityCheckScheme)

      Add the Contract Number.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `strSecurityCheckScheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addContractNumber

          public void addContractNumber(CX objcontractNumber)

      Add the Contract Number.
      Parameters:
        `objcontractNumber` - Object of Contract Number.

    - #### setContractNumber

          public void setContractNumber(ISingleCollection<CX> objcontractNumberList)

      Set the Contract Number.
      Parameters:
        `objcontractNumberList` - List of Contract Number.

    - #### addContractOrganization

          public void addContractOrganization(java.lang.String strOrganizationName,
                                     CWE objOrganizationNameTypeCode,
                                     HD objAssigningAuthority,
                                     java.lang.String strIdentifierTypeCode,
                                     HD objAssigningFacility,
                                     java.lang.String strNameRepresentationCode,
                                     java.lang.String strOrganizationIdentifier)

      Add the Contract Organization. This field contains the organization with which there is a contractual arrangement for providing the service or material used for this chargeable item.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `objOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addContractOrganization

          public void addContractOrganization(XON objcontractOrganization)

      Add the Contract Organization. This field contains the organization with which there is a contractual arrangement for providing the service or material used for this chargeable item.
      Parameters:
        `objcontractOrganization` - Object of Contract Organization.

    - #### setContractOrganization

          public void setContractOrganization(ISingleCollection<XON> objcontractOrganizationList)

      Set the Contract Organization. This field contains the organization with which there is a contractual arrangement for providing the service or material used for this chargeable item.
      Parameters:
        `objcontractOrganizationList` - List of Contract Organization.

    - #### setRoomFeeIndicator

          public void setRoomFeeIndicator(java.lang.String strRoomFeeIndicator)

      Set the Room Fee Indicator.
      Parameters:
        `strRoomFeeIndicator` - This field contains a room fee indicator.

    - #### setRoomFeeIndicator

          public void setRoomFeeIndicator(ID objroomFeeIndicator)

      Set the Room Fee Indicator.
      Parameters:
        `objroomFeeIndicator` - Object of Room Fee Indicator.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.